dagbug(1)

NAME
dagbug - debugging shell for Endace DAG cards

SYNOPSIS
dagbug [options] [tests]

DESCRIPTION
dagbug is an interactive shell used for direct debugging of Endace DAG cards.

OPTIONS

-b

--nodrb
    Bypasses DRB access during loading

-c COMMANDS
    Execute COMMANDS (instead of processing from standard input).

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-f  Force open without expecting monitor to be ready.

-h

-?

--help

--usage
    Display usage (help) information.

-i  Interactive, even when reading from a file or command line.

-n  No history (turn off reading and writing .dagbug_history).

-r [FILE]
    Read initial commands from FILE (default is .dagbugrc).

-t [FILE]
    Use FILE as history file (default is .dagbug_history).

-v

--verbose
    Increase output verbosity (currently has no effect).

-V

--version
    Display version information.

-x  radix to use (default is 16).

FILES

.dagbug_history
    The default commandline history file.

.dagbugrc
    The default run control file.

SEE ALSO
daginf(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13725 $
$Date: 2011-01-14 17:09:49 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.